cancel
Showing results for 
Search instead for 
Did you mean: 

Error when importing OAS3 definition from SwaggerHub into SoapUI 5.4.0-EB

Highlighted
rlc
Regular Visitor

Error when importing OAS3 definition from SwaggerHub into SoapUI 5.4.0-EB

I build a OAS3 API definition in SwaggerHub. Downloaded the api as JSON (tried both resolved and unresolved) and tried to import it into SoapUI 5..4.0.

 

It fails with java.lang.RuntimeException: Unknown Swagger Version: null

 

Can I import OAS3 from SwaggerHub into SoapUI? If yes, how?

 

Regards,

Richard

1 REPLY 1
Community Hero

Re: Error when importing OAS3 definition from SwaggerHub into SoapUI 5.4.0-EB

SoapUI Open Source edition version 5.4.0 supports Swagger defintion 2.0.

OAS 3.0 definitions can't be imported as supported is not available yet.


Regards,
Rao.
New Here?
Join us and watch the welcome video:
Join the exciting event
SeptemberHubBub
Top Kudoed Authors
Join the September Hub-bub to show off, learn and win